# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-simplekv
Version:        0.9.2
Release:        2%{?dist}
Summary:        Python API for very basic key-value stores

License:        MIT
URL:            https://github.com/mbr/simplekv
Source0:        simplekv-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
simplekv is an API for very basic key-value stores used for small, frequently
accessed data or large binary blobs. Its basic interface is easy to implement
and it supports a number of backends, including the filesystem, SQLAlchemy,
MongoDB, Redis and Amazon S3/Google Storage.


%prep
%setup -q -n simplekv-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.rst docs
%{python_sitelib}/*


%changelog
* Tue Nov 25 2014 Howard Johnson <merlin@merlinthp.com> 0.9.2-2
- Missing BRs

* Sun Nov 09 2014 Howard Johnson <merlin@merlinthp.com> 0.9.2-1
- Initial package

